<?php

class Lesti_Blog_Block_Adminhtml_Post_Comment_Grid extends Mage_Adminhtml_Block_Widget_Grid
{
    public function __construct()
    {
        parent::__construct();
        $this->setId('blogPostCommentGrid');
        $this->setDefaultSort('comment_id');
        $this->setDefaultDir('ASC');
    }

    protected function _prepareCollection()
    {
        $collection = Mage::getModel('blog/post_comment')->getCollection();
        $this->setCollection($collection);

        return parent::_prepareCollection();
    }

    protected function _prepareColumns()
    {

        $this->addColumn('content', array(
            'header'    => Mage::helper('blog')->__('Comment'),
            'align'     => 'left',
            'index'     => 'content'
        ));

        $this->addColumn('status', array(
            'header'    => Mage::helper('blog')->__('Status'),
            'index'     => 'status',
            'type'      => 'options',
            'options'   => Mage::getSingleton('blog/post_comment')->getAvailableStatuses()
        ));

        $this->addColumn('creation_time', array(
            'header'    => Mage::helper('blog')->__('Date Created'),
            'index'     => 'creation_time',
            'type'      => 'datetime',
        ));

        $this->addColumn('post', array(
            'header'    => Mage::helper('blog')->__('Post'),
            'index'     => 'post_id',
            'type'      => 'options',
            'options'   => Mage::getModel('blog/post')->getCollection()->toGridOptionArray()
        ));

        return parent::_prepareColumns();
    }

    protected function _afterLoadCollection()
    {
        $this->getCollection()->walk('afterLoad');
        parent::_afterLoadCollection();
    }

    /**
     * Row click url
     *
     * @return string
     */
    public function getRowUrl($row)
    {
        return $this->getUrl('*/blog_post_comment/edit', array('comment_id' => $row->getId()));
    }
}
